;; AquaX/theme.jl
;; v0.2 14Jan00 by Barthel aus Pennswald <ld_barthel@yahoo.com>

;; See the file ChangeLog for details of changes to this theme.

;; sawmill --batch compiler -f compile-batch theme.jl

;; NOTE: This theme.jl file requires sawmill v0.21 or later.
;;   Use theme.jl-0.19 for sawmill v0.19

(require 'make-theme)

(let
    ((patterns-alist '(

    ;; 1x23
     ("title-images"
         (inactive "title-inactive.png")
	 (focused "title-active.png")
     )

    ;; 6x23
     ("title_l-images"
         (inactive "title_l-inactive.png")
	 (focused "title_l-active.png")
     )
     ("title_r-images"
         (inactive "title_r-inactive.png")
	 (focused "title_r-active.png")
     )

     ("title_ls-images"
         (inactive "title_ls-inactive.png")
	 (focused "title_ls-active.png")
     )
     ("title_rs-images"
         (inactive "title_rs-inactive.png")
	 (focused "title_rs-active.png")
     )

    ;; 19x23
     ("close-images"
         (inactive "button-inactive.png")
         (focused "close-active.png")
         (highlighted "close-highlight.png")
         (inactive-highlighted "close-inactive-highlight.png")
         (clicked "close-clicked.png")
         (inactive-clicked "close-inactive-clicked.png")
     )
     
     ("iconify-images"
         (inactive "button-inactive.png")
         (focused "iconify-active.png")
         (highlighted "iconify-highlight.png")
         (inactive-highlighted "iconify-inactive-highlight.png")
         (clicked "iconify-clicked.png")
         (inactive-clicked "iconify-inactive-clicked.png")
     )
     
     ("maximize-images"
         (inactive "button-inactive.png")
         (focused "maximize-active.png")
         (highlighted "maximize-highlight.png")
         (inactive-highlighted "maximize-inactive-highlight.png")
         (clicked "maximize-clicked.png")
         (inactive-clicked "maximize-inactive-clicked.png")
     )
     
     ("one_window-images"
         (inactive "button-inactive.png")
         (focused "one_window-focused-inactive.png")
         (highlighted "one_window-highlight.png")
         (inactive-highlighted "one_window-inactive-highlight.png")
         (clicked "one_window-clicked.png")
         (inactive-clicked "one_window-inactive-clicked.png")
     )
     
    ;; This type of bottom border does not appear in the MacOS X screenshots.
    ;; My first attempts at the drop-shadow effect failed, so I settled for
    ;; this kludge--but it's a kludge consistent with the rest of the theme!

    ;; 1x7
    ("bottom-border-images"
         (inactive "border_b-inactive.png")
    	 (focused "border_b-active.png")
     )

    ;; 6x7
    ("bottom-left-images"
         (inactive "border_bl-inactive.png")
    	 (focused "border_bl-active.png")
     )

    ("bottom-right-images"
         (inactive "border_br-inactive.png")
    	 (focused "border_br-active.png")
     )

    ;; 1x1
    ("border-pixels"
         (inactive "border_pixel-inactive.png")
	 (focused "border_pixel-active.png")
     )

    ))


    (frames-alist '(
      ("frame"
       ;; title bar & corners
         ((y-justify . center)
          (x-justify . center)
          (text . window-name)
          (font . "-*-helvetica-bold-r-normal-*-*-140-*-*-p-*-*")
          (foreground . "#000000000000")
          (background . "title-images")
          (top-edge . -23)
          (right-edge . 24)
          (left-edge . 62)
          (class . title))
         ((background . "title_l-images")
          (top-edge . -23)
          (left-edge . -1)
          (class . top-left-corner))
         ((background . "title_r-images")
          (top-edge . -23)
          (right-edge . -1)
          (class . top-right-corner))
	;; buttons
         ((background . "close-images")
          (top-edge . -23)
          (left-edge . 5)
          (class . close-button))
         ((background . "iconify-images")
          (top-edge . -23)
          (left-edge . 24)
          (class . iconify-button))
         ((background . "maximize-images")
          (top-edge . -23)
          (left-edge . 43)
          (class . maximize-button))
	 ;; We'll use the "one-window" button for our menus.
         ((background . "one_window-images")
          (top-edge . -23)
          (right-edge . 5)
          (class . menu-button))
	;; bottom border
         ((background . "bottom-border-images")
          (bottom-edge . -7)
          (right-edge . 5)
          (left-edge . 5)
          (class . bottom-border))
         ((background . "bottom-left-images")
          (bottom-edge . -7)
          (left-edge . -1)
          (class . bottom-left-corner))
         ((background . "bottom-right-images")
          (bottom-edge . -7)
          (right-edge . -1)
          (class . bottom-right-corner))
	 ((background . "border-pixels")
	  (top-edge . 0)
	  (bottom-edge . 0)
	  (left-edge . -1)
	  (class . left-border))
	 ((background . "border-pixels")
	  (top-edge . 0)
	  (bottom-edge . 0)
	  (right-edge . -1)
	  (class . right-border))
      )

      ("shaped-frame"
       ;; title bar & corners
         ((y-justify . center)
          (x-justify . center)
          (text . window-name)
          (font . "-*-helvetica-bold-r-normal-*-*-140-*-*-p-*-*")
          (foreground . "#000000000000")
          (background . "title-images")
          (top-edge . -23)
          (right-edge . 24)
          (left-edge . 62)
          (class . title))
         ((background . "title_l-images")
          (top-edge . -23)
          (left-edge . -1)
          (class . top-left-corner))
         ((background . "title_r-images")
          (top-edge . -23)
          (right-edge . -1)
          (class . top-right-corner))
	;; buttons
         ((background . "close-images")
          (top-edge . -23)
          (left-edge . 5)
          (class . close-button))
         ((background . "iconify-images")
          (top-edge . -23)
          (left-edge . 24)
          (class . iconify-button))
         ((background . "maximize-images")
          (top-edge . -23)
          (left-edge . 43)
          (class . mazimize-button))
	 ;; We'll use the "one-window" button for our menus.
         ((background . "one_window-images")
          (top-edge . -23)
          (right-edge . 5)
          (class . menu-button))
      )

      ("transient-frame"
       ;; title bar & corners
         ((y-justify . center)
          (x-justify . center)
          (text . window-name)
          (font . "-*-helvetica-bold-r-normal-*-*-140-*-*-p-*-*")
          (foreground . "#000000000000")
          (background . "title-images")
          (top-edge . -23)
          (right-edge . 5)
          (left-edge . 5)
          (class . title))
         ((background . "title_l-images")
          (top-edge . -23)
          (left-edge . -1)
          (class . top-left-corner))
         ((background . "title_r-images")
          (top-edge . -23)
          (right-edge . -1)
          (class . top-right-corner))
	 ((background . "border-pixels")
	  (top-edge . 0)
	  (bottom-edge . 0)
	  (left-edge . -1)
	  (class . left-border))
	 ((background . "border-pixels")
	  (top-edge . 0)
	  (bottom-edge . 0)
	  (right-edge . -1)
	  (class . right-border))
	 ((background . "border-pixels")
	  (bottom-edge . 0)
	  (left-edge . -1)
	  (right-edge . -1)
	  (class . bottom-border))
      )

      ("shaped-transient-frame"
       ;; title bar & corners
         ((y-justify . center)
          (x-justify . center)
          (text . window-name)
          (font . "-*-helvetica-bold-r-normal-*-*-140-*-*-p-*-*")
          (foreground . "#000000000000")
          (background . "title-images")
          (top-edge . -23)
          (right-edge . 5)
          (left-edge . 5)
          (class . title))
         ((background . "title_ls-images")
          (top-edge . -23)
          (left-edge . -1)
          (class . top-left-corner))
         ((background . "title_rs-images")
          (top-edge . -23)
          (right-edge . -1)
          (class . top-right-corner))
      )

     ))

     (mapping-alist
      '((default . "frame")
        (shaped . "shaped-frame")
        (transient . "transient-frame")
        (shaped-transient . "shaped-transient-frame")
        (unframed . "nil-frame")))

     (theme-name 'AquaX)
)

(add-frame-style theme-name (make-theme patterns-alist frames-alist mapping-alist))
)

